﻿/*
 * Created by SharpDevelop.
 * User: Maciek
 * Date: 2015-05-23
 * Time: 17:17
 * 
 * To change this template use Tools | Options | Coding | Edit Standard Headers.
 */
using System;
using System.Text;
using System.Threading;
using NUnit.Framework;
using OpenQA.Selenium;
using OpenQA.Selenium.Firefox;

namespace PierwszaSolucja
{
	[TestFixture]
	public class PierwszyTest
	{
		private IWebDriver driver;
        private StringBuilder verificationErrors;
        private string baseURL;
        private bool acceptNextAlert = true;
        
		[SetUp]
        public void SetupTest()
        {
            driver = new FirefoxDriver();
            baseURL = "https://www.google.pl/";
            verificationErrors = new StringBuilder();
        }
        
		[Test]
		public void PierwszyTestWyszukiwanieGoogle()
		{
			// TODO: Add your test.
			driver.Navigate().GoToUrl(baseURL);
			driver.FindElement(By.ClassName("gsfi")).SendKeys("Wikipedia");
			driver.FindElement(By.Name("btnG")).Click();
			Thread.Sleep(5000);
		}
		
		[Test]
        public void TheWyszukiwanieWikipediaTest()
        {
            driver.Navigate().GoToUrl(baseURL + "/?gws_rd=ssl");
            driver.FindElement(By.Id("lst-ib")).Clear();
            driver.FindElement(By.Id("lst-ib")).SendKeys("wikipedia");
            driver.FindElement(By.Name("btnG")).Click();
            Thread.Sleep(5000);
            driver.FindElement(By.LinkText("Wikipedia, wolna encyklopedia")).Click();
            Thread.Sleep(5000);
            try
            {
                Assert.AreEqual("Historia i autorzy", driver.FindElement(By.LinkText("Historia i autorzy")).Text);
            }
            catch (AssertionException e)
            {
                verificationErrors.Append(e.Message);
            }
            try
            {
                Assert.AreEqual("Tekst źródłowy", driver.FindElement(By.LinkText("Tekst źródłowy")).Text);
            }
            catch (AssertionException e)
            {
                verificationErrors.Append(e.Message);
            }
            try
            {
                Assert.AreEqual("Czytaj", driver.FindElement(By.LinkText("Czytaj")).Text);
            }
            catch (AssertionException e)
            {
                verificationErrors.Append(e.Message);
            }
        }
		
		[TearDown]
        public void TeardownTest()
        {
            try
            {
                driver.Quit();
            }
            catch (Exception)
            {
                // Ignore errors if unable to close the browser
            }
            Assert.AreEqual("", verificationErrors.ToString());
        }
	}
}
